{
	saved_FirstTime[0]

	Init[(s)
	{
		if(saved_FirstTime=0)
		{
			saved_FirstTime=1;
			SetNationality(1);
	
			GiveWeapon(56);
			PlayAnimation(7);
	
			SetAttackDistance(15,15);
			SetState_Patrol(0);
			SetLineOfSight(0);
	
			SetRunning();
			SetWander(0);
	
			if (GetID()="city2")
			{
				PlayAnimation(15);
			}
	
			if (GetID()="church1")
			{
				SetState_Patrol(1);
				SetWalkToDist(7);
			}
			
			if (GetID()="rush01")
			{
				DropWeaponOnDeath(false);
			}
			
			if (GetID()="rush02")
			{
				DropWeaponOnDeath(false);
			}
		}
	}]

	DelayReached[(delay)
	{
		if (delay = 50)
		{
			if (Level.saved_Rusher2 < 1)
			{
				Level.saved_Rusher2 = (Level.saved_Rusher2 +1);
				Level.GetEntity("rush01").Respawn(0);
			}
		}
		
		if (delay = 60)
		{
			if (Level.saved_Rusher1 < 1)
			{
				Level.saved_Rusher1 = (Level.saved_Rusher1 +1);
				Level.GetEntity("rush02").Respawn(1);
			}
		}
	}]

	Respawn[ (where)
	{
		SetDead( false );
		SetRunning();
		PlayAnimation(1);
		SetHealth(512);
		switch( where )
		{
			case 0
			{
				GiveWeapon(56);

				SetAttackDistance(5,5);
				SetState_Patrol(0);
				SetLineOfSight(1);

				SetPosition(27413,25194,128);
				FollowPath("final1");
				FollowPathCallback(127,"GunnerEnd",1);
			}
			
			case 1
			{
				GiveWeapon(56);

				SetAttackDistance(5,5);
				SetState_Patrol(0);
				SetLineOfSight(1);

				SetPosition(20565,21744,128);
				FollowPath("final2");
				FollowPathCallback(127,"GunnerEnd",2);
			}
		}
	}]
	
	GunnerEnd[(type)
	{
		SetAttackDistance(15,15);
		SetState_Patrol(0);
		SetLineOfSight(1);

		
		SetWander(0);

		if (type = 1)
		{
			SetRunning();
			PlayAnimation(13);
			TurnToLocation(23829,25536);
		}

		if (type = 2)
		{
			SetCrouching();
			PlayAnimation(10);
			TurnToLocation(21888,25066);
		}
	}]
}